//=============================================================================
// Const.h
//=============================================================================
#ifndef ___CONST_H___
#define ___CONST_H___

#pragma once

// XgRg[
typedef struct LIST_HEADER_ST {
	char	szColText[32];
	int		iWidth;
	int		iAlign;
}stLstHead;



// Lő咷
const int CHR_NAME_MAX_LEN = 32;

// tB[hő咷
const int FIELD_NAME_MAX_LEN = 128;

// Gp[eBő咷
const int ENEMY_PARTY_NAME_MAX_LEN = 128;

// Gp[eB
typedef struct ENEMY_PARTY_INFO_ST {
	int		nID;
	char	szName[ENEMY_PARTY_NAME_MAX_LEN+1];
}stEnemyPartyInfo;

// tB[h
typedef struct FIELD_INFO_ST {
	int		nID;
	char	szName[FIELD_NAME_MAX_LEN+1];
}stFieldInfo;

typedef struct PLAYER_PARTY_INFO_ST
{
	int nGill;			// LM
	int nPlayerCount;	// o
}stPlayerPartyInfo;

typedef struct PLAYER_CHARACTER_INFO_ST {

	int	nID;							// ID
	// LN^f[^
	char szName[CHR_NAME_MAX_LEN+1];	// O

	int nLV;			// ݂̃x
	int nJLV;			// ݂̃Wux

	int nBtlPos;		// zu(Oq/q)
	int nExp;			// o

	// ϓ
	int nHP;			// HP
	int nMP;			// MP
	int	nATBValue;		// ATBl

	// ɂĕς
	int	nAttack;		// U : Ũ_[W̍ɉe
	int nDefence;		// h : ɂ_[W̌yɉe
	int nMagicDef;		// @h : @ɂ_[W̌yɉe
	int nParry;			//      : U̐۔ɉe
	int nMagicPar;		// @ : @UEԈُU̐۔ɉe
	int nWeight;		// ̏d : ATB̏Q[WʂɉeiATB̑x̂̂ɂ͉eȂj

	// 	bl
	int nMaxHP;		// ς_[W
	int nMaxMP;		// ς_[W
	int nStrength;	//      : U͂ɉe
	int nVitality;	// ̗   : őHPAh́AWFl̉񕜗ʁACYhHP񕜗ʂȂǂɉe
	int nSpeed;		// f : ATBQ[W̑xɉe
	int nIntellect;	//    : őMPA@U͂ɉe
	int nPiety;		// _   : őMPAPẢ񕜗ʁA@h́A@𗦁AԈُ̎Ԃɉe
	int nLuck;		// ^     : ސANeBJAJE^[iAreBJE^[jA퓬ACe擾mAԈُU̐A𗦁EAAӂEobNA^bN̔

	// Xe[^X
	BOOL bPoison;
	BOOL bFrog;
	BOOL bParalyze;
	BOOL bSmall;
	BOOL bStone;
	BOOL bBlind;
	BOOL bZombi;
	BOOL bSilence;

}stPlayerCharacterInfo;

typedef CArray <stEnemyPartyInfo *, stEnemyPartyInfo *> arEnemyPartyInfo;
typedef CArray <stFieldInfo *, stFieldInfo *> arFieldInfo;


const int BATTLE_CHAR_COUNT_MAX = 4;

#define TABLES_DIR					".\\res\\tables"
#define ARRANGE_TABLE_FILE_NAME		TABLES_DIR "\\ArrangeTable.csv"
#define COMMAND_TABLE_FILE_NAME		TABLES_DIR "\\CommandTable.csv"
#define ENEMY_PARTY_TABLE_FILE_NAME	TABLES_DIR "\\EnemyPartyTable.csv"
#define ENEMY_TABLE_FILE_NAME		TABLES_DIR "\\EnemyTable.csv"
#define FIELD_TABLE_FILE_NAME		TABLES_DIR "\\Field.csv"

#define STATUS_NOT_FOUND			"NotFound"
#define STATUS_EXIST				"Exist"
#define STATUS_SYSTEM_ERROR			"SysError"

// 퓬Op[^ ({̂ɑ)
typedef struct BATTLE_PARAM_ST
{
	stFieldInfo				Field;
	stEnemyPartyInfo		Enemy;
	stPlayerPartyInfo		Party;
	stPlayerCharacterInfo	Chara[BATTLE_CHAR_COUNT_MAX];

}stBattleParam;

#endif //___CONST_H___