//=============================================================================
// FrameWindow.h
//=============================================================================
#pragma once

//-----------------------------------------------------------------------------
// CFrameWindow
//-----------------------------------------------------------------------------
class CFrameWindow
{
	enum {
		L_T_CORNER = 0,	// 
		R_T_CORNER,		// E
		L_B_CORNER,		// 
		R_B_CORNER,		// E
		T_SIDE,			// 
		B_SIDE,			// 
		L_SIDE,			// 
		R_SIDE,			// E
		BACK_GROUND,	// wi
	};

protected:
	int		m_nPosX;		// EBhEʒuX
	int		m_nPosY;		// EBhEʒuY
	int		m_nWidth;		// EBhE
	int		m_nHeight;		// EBhE
	int		m_nHandle[FRAME_CHIP_COUNT];	// t[`bv摜nh
	BOOL	m_bShowFlag;	// \tO

	void CreateBackGroundGraph( void );		// wi摜쐬


public:

	CFrameWindow(void);
	virtual ~CFrameWindow(void);

	// 
	BOOL Create( int iPosX, int iPosY, int iWidth, int iHeight );

	// _O
	virtual void Render( void );

	// j[邩ۂ
	virtual BOOL IsMenu( void ) const = 0;

	BOOL IsShow( void ) const
	{	return m_bShowFlag;	};

	void ShowWindow( BOOL bFlag )
	{	m_bShowFlag = bFlag;	};

};
