//=============================================================================
// PresentationConst.h
//=============================================================================
#pragma once

// ʃTCY
const int WINDOW_WIDTH					= 640;
const int WINDOW_HEIGHT					= 480;

const int CANVAS_WIDTH					= 320;
const int CANVAS_HEIGHT					= 240;

#define GRAPHICS_DIR_02					".\\res\\graphs_02"
#define GRAPHICS_DIR_03					".\\res\\graphs_03"
#define GRAPHICS_DIR_04					".\\res\\graphs_04"

#define SOUNDS_DIR_01					".\\res\\sounds_01"
#define SOUNDS_DIR_02					".\\res\\sounds_02"

// F
const COLORREF STRING_COLOR = GetColor( 255,255,255 );	// F


// bZ[WEBhE
const int DISPLAY_MESSAGE_FONT_SIZE		= 11;
const int DISPLAY_MESSAGE_LEN_MAX		= 480;
const int DISPLAY_MESSAGE_LINE_MAX		= 4;

// t[̃`bvGt@C
#define WINDOW_FRAME_CHIPS_FILE_NAME	GRAPHICS_DIR_02 "\\wnd_frame_chip.png"

// t[`bv ӂ̃TCY
const int FRAME_CHIP_ONE_SIDE_SIZE = 16;
const int FRAME_CHIP_COUNT = 9;

// t[當܂ł̃}[W
const int FRAME_TO_STRING_MARGINE_X = 10;
const int FRAME_TO_STRING_MARGINE_Y = 8;

// OqLXʒuƌqLXʒu
const int FRONT_CHAR_POS_X	= 230;
const int BACK_CHAR_POS_X	= 260;

// ATBQ[W
#define ATB_GAUGE_FILE_NAME	GRAPHICS_DIR_02 "\\atb_gauge.png"

// J[\
#define CURSOR_FILE_NAME	GRAPHICS_DIR_02 "\\cursor.png"
#define MARK_FILE_NAME		GRAPHICS_DIR_02 "\\mark.png"

// wi
#define FIELD_FILE_NAME_01	GRAPHICS_DIR_02 "\\field_01.png"
#define FIELD_FILE_NAME_02	GRAPHICS_DIR_02 "\\field_02.png"

// 
#define PLAYER_FILE_NAME_01	GRAPHICS_DIR_04 "\\player_001.png"
#define PLAYER_FILE_NAME_02	GRAPHICS_DIR_04 "\\player_002.png"
#define PLAYER_FILE_NAME_03	GRAPHICS_DIR_04 "\\player_003.png"
#define PLAYER_FILE_NAME_04	GRAPHICS_DIR_04 "\\player_004.png"

// G
#define ENEMY_FILE_NAME_01	GRAPHICS_DIR_03 "\\enemy_001.png"
#define ENEMY_FILE_NAME_02	GRAPHICS_DIR_03 "\\enemy_002.png"


// BGM
#define BGM_FILE_NAME_01	SOUNDS_DIR_01	"\\battle_001.mp3"
#define BGM_FILE_NAME_02	SOUNDS_DIR_01	"\\battle_002.mp3"
#define BGM_FILE_NAME_03	SOUNDS_DIR_01	"\\battle_003.mp3"

// SE
#define SE_FILE_NAME_01		SOUNDS_DIR_02	"\\001.mp3"
#define SE_FILE_NAME_02		SOUNDS_DIR_02	"\\002.mp3"
#define SE_FILE_NAME_03		SOUNDS_DIR_02	"\\003.mp3"
#define SE_FILE_NAME_04		SOUNDS_DIR_02	"\\004.mp3"