//=============================================================================
// TableAccess.h
//=============================================================================
#pragma once

class CEnemy;
//-----------------------------------------------------------------------------
// CTableAccess
//-----------------------------------------------------------------------------
class CTableAccess
{
public:
	static BOOL LoadEnemyPartyTable( int nEnemyPartyID, CEnemy **pEnemy, int *pEnemyCount );

	static BOOL LoadDefaultPlayerPartyTable( stPlayerPartyInfo *pPartyInfo, stPlayerCharacterInfo *pCharaInfo );
};

const int ENEMY_PARTY_TABLE_MAX_LEN = 128;
typedef struct {
	int nID;
	char szName[ENEMY_PARTY_TABLE_MAX_LEN+1];
	int nEnemyCount;			// X^[
	int nArrangePtnID;			// zup^[ID
	int nEnemyID[BATTLE_ENEMY_COUNT_MAX];			// X^[ID
	int nFlag1;					// ꏈtO
	int nParam1;				// ꏈp^
	int nFlag2;
	int nParam2;
}stEnemyPartyTable;

typedef struct {
	int nX;
	int nY;
}stPos;
typedef struct {
	int nID;
	int nEnemyCount;					// X^[
	stPos Pos[BATTLE_ENEMY_COUNT_MAX];	// zuʒu
}stArrangeTable;
