//=============================================================================
// Utility.cpp
//=============================================================================
#include "Stdinc.h"

void CUtility::tERROR(const char *inputMsg,...) {
	int len;
	char buf[128];
	va_list ap;
	va_start(ap,inputMsg);
	len = vsprintf_s(buf,128,inputMsg,ap);
	va_end(ap);
	if(len!=EOF) {
		int EM = MessageBox(	GetMainWindowHandle(),
								buf,
								"ERROR",
								MB_OK|MB_ICONSTOP);
	}
	DxLib_End();
	exit(-1);
}
/* G[2iIȂj */
int CUtility::tERROR2(const char *inputMsg,...) {
	int len;
	char buf[128];
	va_list ap;
	va_start(ap,inputMsg);
	len = vsprintf_s(buf,128,inputMsg,ap);
	va_end(ap);
	if(len!=EOF) {
		int EM = MessageBox(	GetMainWindowHandle(),
								buf,
								"ERROR",
								MB_OK|MB_ICONSTOP);
	}
	return -1;
}

static int SOUNDS[CUtility::SND_MAX] = {-1,-1,-1};
void CUtility::LoadSounds( void )
{
	SOUNDS[SND001] = LoadSoundMem( SE_FILE_NAME_01 );
	SOUNDS[SND002] = LoadSoundMem( SE_FILE_NAME_02 );
	SOUNDS[SND003] = LoadSoundMem( SE_FILE_NAME_03 );
}

void CUtility::PlaySound( int nID )
{
	if ( nID < 1 || SND_MAX <= nID )
		return ;

	PlaySoundMem( SOUNDS[nID], DX_PLAYTYPE_BACK );
}
